Home Forums Weaver Xtreme Theme Cannot use customiser Fatal Error

This topic contains 8 replies, has 3 voices, and was last updated by  wanda 2 weeks, 6 days ago.

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • #61920

    wanda
    Participant

    Hi

    I am using Weaver xtreme

    Site is <b>kwazulukids.com</b>

     

    I can’t get into the customiser I am getting this error message

    <b>Fatal error</b>: Cannot declare class Customize_Alpha_Color_Control, because the name is already in use in <b>/home4/warnold/kwazulukids.com/wp-content/themes/weaver-xtreme/admin/customizer/alpha-color-picker/alpha-color-picker.php</b> on line <b>97</b>

    The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.

     

    Is this a hosting issue ? Or can I fix it?

     

    cheers

     

    Wanda

    #61921

    wanda
    Participant

    I received this email from WP

    ….In this case, WordPress caught an error with your theme, Weaver Xtreme.

    First, visit your website (https://kwazulukids.com/) and check for any visible issues. Next, visit the page where the error was caught (https://kwazulukids.com/wp-ad<wbr />min/customize.php?url=https%3A<wbr />%2F%2Fkwazulukids.com%2F) and check for any visible issues.

    #61922

    scrambler
    Moderator

    You may want to save your settings and download a copy locally from the save restore page.

    Then switch to a different theme

    Delete all weaver Theme and plugins

    Reinstall Weaver Xtreme theme and Xtreme Theme Support plugin from WordPress and re download the Plus Plugin if you bought that.

    #61923

    wanda
    Participant

    I could not get into live preview to delete theme.  Same error appeared.

     

    I deleted it via CPanel deleted all plugins, reinstalled theme, reinstalled plugins, activated everything but still get the same error

    cheers

     

    Wanda

    #61924

    scrambler
    Moderator

    @weaver will have to comment then

    #61925

    wanda
    Participant

    Should I just wait or will @weaver see this thread?

     

    cheers

     

    Wanda

    #61929

    scrambler
    Moderator

    He should be alerted to this thread so as soon as available he should answer.

    I assume you have tried deactivating ALL non weaver plugins.

    #61933

    Weaver
    Keymaster

    That error is for a library class used by Weaver Xtreme.

    Since we are not getting other reports of an issue, I would suspect you are using a plugin that also uses that same class. The way to determine where the  conflict is would be to disable your plugins. You could disable them all and see if the issue goes away. It that doesn’t make the message go away, I will be very puzzled.

    Then you could reactivate your plugins one by one until the message returns. The plugin would most likely be somewhat obscure (e.g., not a popular one like Yoast or Jetpack).

    Once we identify the problem, I will have to think about a solution. There are several, but it will really take knowing which plugin is causing the issue. Note that plugins are loaded by WordPress before the theme is loaded, so that is why the message says the class has already been defined.

    #61935

    wanda
    Participant

    the plugin Easy Social Post Feed was the problem.  I will find another plugin

     

    thanks

     

    Wanda

Viewing 9 posts - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.